package ru.ulstu.paper.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.ulstu.configuration.Constants;
import ru.ulstu.core.model.response.Response;
import ru.ulstu.paper.model.Paper;
import ru.ulstu.paper.service.PaperService;

import java.util.List;

import static ru.ulstu.user.controller.UserController.URL;

@RestController
@RequestMapping(URL)
public class PaperController {
    public static final String URL = Constants.API_1_0 + "papers";

    private final PaperService paperService;

    public PaperController(PaperService paperService) {
        this.paperService = paperService;
    }

    @GetMapping("/papers")
    public Response<List<Paper>> getPapers() {
        return new Response<>(paperService.findAll());
    }
}
